# H225_UnknownMessageResponse Class Reference

`#include <h225.h>`

Inheritance diagram for H225_UnknownMessageResponse:

List of all members.

## Public Types

enum | OptionalFields { e_tokens, e_cryptoTokens, e_integrityCheckValue, e_messageNotUnderstood }

## Public Member Functions

| H225_UnknownMessageResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
PASN_OctetString | m_messageNotUnderstood

## Member Enumeration Documentation

enum H225_UnknownMessageResponse::OptionalFields

Enumerator:

  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_messageNotUnderstood |

## Constructor & Destructor Documentation

H225_UnknownMessageResponse::H225_UnknownMessageResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_UnknownMessageResponse::GetDataLength | ( |  | ) | const

PBoolean H225_UnknownMessageResponse::Decode | ( | PASN_Stream & | strm | ) |

void H225_UnknownMessageResponse::Encode | ( | PASN_Stream & | strm | ) | const

void H225_UnknownMessageResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_UnknownMessageResponse::Compare | ( | const PObject & | obj | ) | const

PObject* H225_UnknownMessageResponse::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_UnknownMessageResponse::m_requestSeqNum

H225_ArrayOf_ClearToken H225_UnknownMessageResponse::m_tokens

H225_ArrayOf_CryptoH323Token H225_UnknownMessageResponse::m_cryptoTokens

H225_ICV H225_UnknownMessageResponse::m_integrityCheckValue

PASN_OctetString H225_UnknownMessageResponse::m_messageNotUnderstood

The documentation for this class was generated from the following file:

- h225.h